summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/quilt
diff options
context:
space:
mode:
Diffstat (limited to 'meta/recipes-devtools/quilt')
-rw-r--r--meta/recipes-devtools/quilt/quilt-native.inc13
-rw-r--r--meta/recipes-devtools/quilt/quilt-native_0.48.bb4
-rw-r--r--meta/recipes-devtools/quilt/quilt.inc27
-rw-r--r--meta/recipes-devtools/quilt/quilt/aclocal.patch126
-rw-r--r--meta/recipes-devtools/quilt/quilt/install.patch11
-rw-r--r--meta/recipes-devtools/quilt/quilt/non-gnu.patch223
-rw-r--r--meta/recipes-devtools/quilt/quilt_0.48.bb7
7 files changed, 411 insertions, 0 deletions
diff --git a/meta/recipes-devtools/quilt/quilt-native.inc b/meta/recipes-devtools/quilt/quilt-native.inc
new file mode 100644
index 0000000..7efea02
--- /dev/null
+++ b/meta/recipes-devtools/quilt/quilt-native.inc
@@ -0,0 +1,13 @@
+SRC_URI_append_build-darwin = "? file://non-gnu.patch "
+RDEPENDS_${PN} = "diffstat-native patch-native bzip2-native util-linux-native"
+
+INHIBIT_AUTOTOOLS_DEPS = "1"
+
+inherit native
+
+PATCHTOOL = "patch"
+EXTRA_OECONF = "--disable-nls"
+
+do_configure () {
+ oe_runconf
+}
diff --git a/meta/recipes-devtools/quilt/quilt-native_0.48.bb b/meta/recipes-devtools/quilt/quilt-native_0.48.bb
new file mode 100644
index 0000000..d1dd576
--- /dev/null
+++ b/meta/recipes-devtools/quilt/quilt-native_0.48.bb
@@ -0,0 +1,4 @@
+require quilt.inc
+require quilt-native.inc
+
+PR = "r0"
diff --git a/meta/recipes-devtools/quilt/quilt.inc b/meta/recipes-devtools/quilt/quilt.inc
new file mode 100644
index 0000000..e5e0a4f
--- /dev/null
+++ b/meta/recipes-devtools/quilt/quilt.inc
@@ -0,0 +1,27 @@
+DESCRIPTION = "Tool to work with series of patches."
+HOMEPAGE = "http://savannah.nongnu.org/projects/quilt/"
+SECTION = "devel"
+LICENSE = "GPLv2"
+LIC_CHKSUM_FILES = "file://COPYING;md5=94d55d512a9ba36caa9b7df079bae19f"
+
+SRC_URI = "http://download.savannah.gnu.org/releases/quilt/quilt-${PV}.tar.gz \
+ file://install.patch"
+
+inherit autotools
+
+PACKAGES += "guards guards-doc"
+FILES_${PN} = "${sysconfdir} ${datadir}/quilt \
+ ${bindir}/quilt ${libdir}/quilt"
+FILES_guards = "${bindir}/guards"
+FILES_${PN}-doc = "${mandir}/man1/quilt.1 ${docdir}/${P}"
+FILES_guards-doc = "${mandir}/man1/guards.1"
+
+# quilt ignores DESTDIR
+do_install () {
+ oe_runmake 'BUILD_ROOT=${D}' install
+ if [ "${BUILD_ARCH}" == "${HOST_ARCH}" ]; then
+ # Dummy quiltrc file for patch.bbclass
+ install -d ${D}${bindir}/
+ touch ${D}${bindir}/quiltrc
+ fi
+}
diff --git a/meta/recipes-devtools/quilt/quilt/aclocal.patch b/meta/recipes-devtools/quilt/quilt/aclocal.patch
new file mode 100644
index 0000000..15b174c
--- /dev/null
+++ b/meta/recipes-devtools/quilt/quilt/aclocal.patch
@@ -0,0 +1,126 @@
+Add the aclocal.m4 as acinclude.m4
+
+Index: quilt-0.47/acinclude.m4
+===================================================================
+--- /dev/null 1970-01-01 00:00:00.000000000 +0000
++++ quilt-0.47/acinclude.m4 2006-10-10 17:05:56.000000000 +0100
+@@ -0,0 +1,119 @@
++dnl Allow configure to specify a specific binary
++dnl 1: Environment variable
++dnl 2: binary name
++dnl 3: optional list of alternative binary names
++dnl 4: optional list of additional search directories
++AC_DEFUN([QUILT_COMPAT_PROG_PATH],[
++ m4_define([internal_$2_cmd],[esyscmd(ls compat/$2.in 2>/dev/null)])
++
++ AC_ARG_WITH($2, AC_HELP_STRING(
++ [--with-$2], [name of the $2 executable to use]
++ m4_if(internal_$2_cmd,[],[],[ (use --without-$2
++ to use an internal mechanism)])),
++ [
++ if test x"$withval" = xnone; then
++ AC_MSG_ERROR([Invalid configure argument. use --without-$2])
++ fi
++ if test x"$withval" != xno; then
++ AC_MSG_CHECKING(for $2)
++ $1="$withval"
++ if test -e "$$1"; then
++ if test ! -f "$$1" -a ! -h "$$1" || test ! -x "$$1"; then
++ AC_MSG_ERROR([$$1 is not an executable file])
++ fi
++ fi
++ AC_MSG_RESULT([$$1])
++ if test ! -e "$$1"; then
++ AC_MSG_WARN([$$1 does not exist])
++ fi
++ COMPAT_SYMLINKS="$COMPAT_SYMLINKS $2"
++ fi
++ ],[
++ m4_if([$3],[],[
++ AC_PATH_PROG($1,$2,,$PATH:$4)
++ ],[
++ AC_PATH_PROGS($1,$3,,$PATH:$4)
++ if test -n "$$1" -a "`expr "$$1" : '.*/\([[^/]]*\)$'`" != "$2"; then
++ COMPAT_SYMLINKS="$COMPAT_SYMLINKS $2"
++ fi
++ ])
++ m4_if([$4],[],[],[
++ if test -n "$$1"; then
++ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
++ for dir in "$4"; do
++ if test "`dirname $$1`" = "$dir"; then
++ COMPAT_SYMLINKS="$COMPAT_SYMLINKS $2"
++ break
++ fi
++ done
++ IFS="$as_save_IFS"
++ fi
++ ])
++ ])
++ if test -z "$$1"; then
++ m4_if(internal_$2_cmd,[],[
++ AC_MSG_ERROR([Please specify the location of $2 with the option '--with-$2'])
++ ],[
++ AC_MSG_WARN([Using internal $2 mechanism. Use option '--with-$2' to override])
++ COMPAT_PROGRAMS="$COMPAT_PROGRAMS $2"
++ $1=$2
++ INTERNAL_$1=1
++ ])
++ fi
++ AC_SUBST($1)
++])
++
++dnl Allow configure to specify a specific binary
++dnl This variant is for optional binaries.
++dnl 1: Environment variable
++dnl 2: binary name
++dnl 3: optional list of alternative binary names
++dnl 4: optional list of additional search directories
++AC_DEFUN([QUILT_COMPAT_PROG_PATH_OPT],[
++ AC_ARG_WITH($2, AC_HELP_STRING(
++ [--with-$2], [name of the $2 executable to use]),
++ [
++ if test x"$withval" != xno; then
++ AC_MSG_CHECKING(for $2)
++ $1="$withval"
++ if test -e "$$1"; then
++ if test ! -f "$$1" -a ! -h "$$1" || test ! -x "$$1"; then
++ AC_MSG_ERROR([$$1 is not an executable file])
++ fi
++ fi
++ AC_MSG_RESULT([$$1])
++ if test ! -e "$$1"; then
++ AC_MSG_WARN([$$1 does not exist])
++ fi
++ COMPAT_SYMLINKS="$COMPAT_SYMLINKS $2"
++ fi
++ ],[
++ m4_if([$3],[],[
++ AC_PATH_PROG($1,$2,,$PATH:$4)
++ ],[
++ AC_PATH_PROGS($1,$3,,$PATH:$4)
++ if test -n "$$1" -a "`expr "$$1" : '.*/\([[^/]]*\)$'`" != "$2"; then
++ COMPAT_SYMLINKS="$COMPAT_SYMLINKS $2"
++ fi
++ ])
++ m4_if([$4],[],[],[
++ if test -n "$$1"; then
++ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
++ for dir in "$4"; do
++ if test "`dirname $$1`" = "$dir"; then
++ COMPAT_SYMLINKS="$COMPAT_SYMLINKS $2"
++ break
++ fi
++ done
++ IFS="$as_save_IFS"
++ fi
++ ])
++ if test -z "$$1"; then
++ AC_MSG_WARN([$2 not found, some optional functionalities will be missing])
++ fi
++ ])
++ if test -z "$$1"; then
++ $1=$2
++ fi
++ AC_SUBST($1)
++])
diff --git a/meta/recipes-devtools/quilt/quilt/install.patch b/meta/recipes-devtools/quilt/quilt/install.patch
new file mode 100644
index 0000000..0b1e58d
--- /dev/null
+++ b/meta/recipes-devtools/quilt/quilt/install.patch
@@ -0,0 +1,11 @@
+--- quilt-0.47/Makefile.in 2008-12-31 19:09:13.000000000 +0000
++++ quilt-0.47/Makefile.in.orig 2008-08-21 13:21:32.000000000 +0100
+@@ -13,7 +13,7 @@
+ mandir := @mandir@
+ localedir := $(datadir)/locale
+ emacsdir := $(datadir)/emacs/site-lisp
+-etcdir := $(subst /usr/etc,/etc,$(prefix)/etc)
++etcdir := @sysconfdir@
+
+ INSTALL := @INSTALL@
+ POD2MAN := @POD2MAN@
diff --git a/meta/recipes-devtools/quilt/quilt/non-gnu.patch b/meta/recipes-devtools/quilt/quilt/non-gnu.patch
new file mode 100644
index 0000000..c1cbfb3
--- /dev/null
+++ b/meta/recipes-devtools/quilt/quilt/non-gnu.patch
@@ -0,0 +1,223 @@
+Patch is from the Fink projetc (http://fink.sf.net)
+
+diff -r 7b51c215fc54 Makefile.in
+--- a/Makefile.in Sat Mar 4 17:16:21 2006 -0800
++++ b/Makefile.in Sat Mar 4 17:59:09 2006 -0800
+@@ -256,7 +256,7 @@ bin/guards.1 : bin/guards
+ -e 's:@VERSION''@:$(VERSION):g' \
+ -e 's:@RELEASE''@:$(RELEASE):g' \
+ -e 's:@LOCALEDIR''@:$(localedir):g' \
+- -e 's:@DOCSUBDIR''@:$(docdir)/$(PACKAGE)-$(VERSION):g' \
++ -e 's:@DOCSUBDIR''@:$(docdir)/$(PACKAGE):g' \
+ $< > $@
+ @$(if $(filter-out $<,$(NON_EXEC_IN)),chmod +x $@)
+
+@@ -320,11 +320,11 @@ endif
+ $(INSTALL) -d $(BUILD_ROOT)$(libdir)/$(PACKAGE)
+ $(INSTALL) -m 755 $(LIB:%=lib/%) $(BUILD_ROOT)$(libdir)/$(PACKAGE)/
+
+- $(INSTALL) -d $(BUILD_ROOT)$(docdir)/$(PACKAGE)-$(VERSION)/
++ $(INSTALL) -d $(BUILD_ROOT)$(docdir)/$(PACKAGE)/
+ $(INSTALL) -m 644 doc/README \
+- $(BUILD_ROOT)$(docdir)/$(PACKAGE)-$(VERSION)/
++ $(BUILD_ROOT)$(docdir)/$(PACKAGE)/
+ $(INSTALL) -m 644 doc/quilt.pdf doc/README.MAIL \
+- $(BUILD_ROOT)$(docdir)/$(PACKAGE)-$(VERSION)/
++ $(BUILD_ROOT)$(docdir)/$(PACKAGE)/
+
+ $(INSTALL) -d $(BUILD_ROOT)$(mandir)/man1
+ $(INSTALL) -m 644 $(MAN1) $(BUILD_ROOT)$(mandir)/man1/
+@@ -367,7 +367,7 @@ uninstall ::
+ $(notdir $(MAN1))) \
+ $(BUILD_ROOT)$(etcdir)/bash_completion.d/quilt \
+ $(BUILD_ROOT)$(etcdir)/quilt.quiltrc \
+- $(BUILD_ROOT)$(docdir)/$(PACKAGE)-$(VERSION)/
++ $(BUILD_ROOT)$(docdir)/$(PACKAGE)/
+
+ check: $(TESTS:test/%.test=test/.%.ok)
+ check-all: $(TESTS:test/%.test=check-%)
+diff -r 7b51c215fc54 configure
+--- a/configure Sat Mar 4 17:16:21 2006 -0800
++++ b/configure Sat Mar 4 17:59:09 2006 -0800
+@@ -3882,29 +3882,6 @@ echo "$as_me: error: Please specify the
+ fi
+
+
+-echo "$as_me:$LINENO: checking whether $CP -l works" >&5
+-echo $ECHO_N "checking whether $CP -l works... $ECHO_C" >&6
+-touch conftest.1
+-if $CP -l conftest.1 conftest.2 2>/dev/null; then
+- echo "$as_me:$LINENO: result: yes" >&5
+-echo "${ECHO_T}yes" >&6
+-else
+- { { echo "$as_me:$LINENO: error: no
+-
+-You appear to have a \`cp' that does not support hard links.
+-You can download GNU fileutils from ftp.gnu.org
+-" >&5
+-echo "$as_me: error: no
+-
+-You appear to have a \`cp' that does not support hard links.
+-You can download GNU fileutils from ftp.gnu.org
+-" >&2;}
+- { (exit 1); exit 1; }; }
+-fi
+-
+-
+-
+-
+
+ # Check whether --with-date or --without-date was given.
+ if test "${with_date+set}" = set; then
+@@ -3999,32 +3976,6 @@ echo "$as_me: WARNING: Using internal da
+ INTERNAL_DATE=1
+
+ fi
+-
+-
+-
+-if test -z "$INTERNAL_DATE"; then
+- echo "$as_me:$LINENO: checking whether $DATE --rfc-822 works" >&5
+-echo $ECHO_N "checking whether $DATE --rfc-822 works... $ECHO_C" >&6
+- if $DATE --rfc-822 >/dev/null 2>/dev/null; then
+- echo "$as_me:$LINENO: result: yes" >&5
+-echo "${ECHO_T}yes" >&6
+- else
+- { { echo "$as_me:$LINENO: error: no
+-
+-If you don't have a version of \`date' that supports --rfc-822, you
+-can specify '--without-date' and $PACKAGE_NAME will use its own
+-internal date.
+-" >&5
+-echo "$as_me: error: no
+-
+-If you don't have a version of \`date' that supports --rfc-822, you
+-can specify '--without-date' and $PACKAGE_NAME will use its own
+-internal date.
+-" >&2;}
+- { (exit 1); exit 1; }; }
+- fi
+-fi
+-
+
+
+
+diff -r 7b51c215fc54 quilt/diff.in
+--- a/quilt/diff.in Sat Mar 4 17:16:21 2006 -0800
++++ b/quilt/diff.in Sat Mar 4 17:59:09 2006 -0800
+@@ -303,7 +303,7 @@ then
+
+ if [ ${#files[@]} -gt 0 ] \
+ && ! ( cd $QUILT_PC/$last_patch &&
+- cp -l --parents "${files[@]}" $workdir/ )
++ mycpl $workdir/ "${files[@]}" )
+ then
+ printf $"Failed to copy files to temporary directory\n" >&2
+ die 1
+diff -r 7b51c215fc54 quilt/mail.in
+--- a/quilt/mail.in Sat Mar 4 17:16:21 2006 -0800
++++ b/quilt/mail.in Sat Mar 4 17:59:09 2006 -0800
+@@ -64,7 +64,7 @@ with a template for the introduction. Pl
+
+ msgid()
+ {
+- local timestamp=$(date --utc "+%Y%m%d%H%M%S.%N")
++ local timestamp=$(date -u "+%Y%m%d%H%M%S.000000000")
+ echo "$timestamp@${opt_sender#*@}"
+ }
+
+@@ -334,7 +334,7 @@ introduction="$(gen_tempfile)"
+ cat <<-EOF
+ Message-Id: <$(msgid)>
+ User-Agent: quilt/@VERSION@-@RELEASE@
+- Date: $(date --rfc-822)
++ Date: $(date '+%a, %d %b %Y %H:%M:%S %z')
+ From: ${opt_from:-$opt_sender}
+ To: $(IFS=,; echo "${opt_to[*]}")
+ Cc: $(IFS=,; echo "${opt_cc[*]}")
+@@ -401,7 +401,11 @@ fi
+ # increment the timestamp by one second and wait with sending until
+ # that time has arrived. This allows MUAs to show the messages in the
+ # correct order.
+-last_ts=$(date '+%s' -d "$(sed -ne $'s/^Date:[ \t]*//p' $introduction)")
++#last_ts=$(date '+%s' -d "$(sed -ne $'s/^Date:[ \t]*//p' $introduction)")
++# fink has no date available that does -d, so we fudge with the time now.
++# If the user edits the date field in the message patch 0 could end up
++# out of order wrt the actual patches. just a minor cosmetic nit.
++last_ts=$(date '+%s')
+
+ num=1
+ for patch in "${patches[@]}"; do
+@@ -412,7 +416,7 @@ for patch in "${patches[@]}"; do
+ # sleep 1
+ #done
+ ((last_ts++))
+- new_date="$(date --rfc-822 -d "1970/01/01 UTC $last_ts seconds")"
++ new_date="$(date -r $last_ts '+%a, %d %b %Y %H:%M:%S %z')"
+
+ modify="$(awk '
+ sub(/^Recipient-/, "") { r = $0
+diff -r 7b51c215fc54 quilt/pop.in
+--- a/quilt/pop.in Sat Mar 4 17:16:21 2006 -0800
++++ b/quilt/pop.in Sat Mar 4 17:59:09 2006 -0800
+@@ -93,7 +93,7 @@ check_for_pending_changes()
+ if [ -d $QUILT_PC/$patch ]
+ then
+ if ! rmdir $workdir || # note that this is racey...
+- ! cp -rl $QUILT_PC/$patch $workdir
++ ! (for i in "$(find "$QUILT_PC/$patch" -type f)"; do mycpl $workdir $i; done)
+ then
+ printf $"Failed to copy files to temporary directory\n" >&2
+ rm -rf $workdir
+diff -r 7b51c215fc54 quilt/scripts/patchfns.in
+--- a/quilt/scripts/patchfns.in Sat Mar 4 17:16:21 2006 -0800
++++ b/quilt/scripts/patchfns.in Sat Mar 4 17:59:09 2006 -0800
+@@ -45,6 +45,28 @@ fi
+ fi
+
+ # ========================================================
++
++dater()
++{
++ ts=$(perl -e '@st = stat($ARGV[0]); print $st[9];' "$1")
++ fmt=$(date -r $ts "$2")
++
++ echo $fmt
++}
++
++mycpl ()
++{
++ target=$1
++ shift;
++
++ for src in "$@"
++ do
++ srcdir="${src%/*}"
++ test -n "$srcdir" && mkdir -p "$target/$srcdir"
++ ln $src "$target/$src"
++ done
++}
++
+
+ #declare -a exit_handlers
+ #
+@@ -669,8 +691,7 @@ diff_file()
+ || old_date=$'\t'"1970-01-01 00:00:00.000000000 +0000"
+ else
+ [ -n "$QUILT_NO_DIFF_TIMESTAMPS" ] \
+- || old_date=$'\t'$(date +'%Y-%m-%d %H:%M:%S.%N %z' \
+- -r "$old_file")
++ || old_date=$'\t'$(dater "$old_file" +'%Y-%m-%d %H:%M:%S.000000000 %z')
+ fi
+ if ! [ -s "$new_file" ]
+ then
+@@ -682,8 +703,7 @@ diff_file()
+ || new_date=$'\t'"1970-01-01 00:00:00.000000000 +0000"
+ else
+ [ -n "$QUILT_NO_DIFF_TIMESTAMPS" ] \
+- || new_date=$'\t'$(date +'%Y-%m-%d %H:%M:%S.%N %z' \
+- -r "$new_file")
++ || new_date=$'\t'$(dater "$new_file" +'%Y-%m-%d %H:%M:%S.000000000 %z')
+ fi
+
+ diff $QUILT_DIFF_OPTS $old_file $new_file \
diff --git a/meta/recipes-devtools/quilt/quilt_0.48.bb b/meta/recipes-devtools/quilt/quilt_0.48.bb
new file mode 100644
index 0000000..5db67b2
--- /dev/null
+++ b/meta/recipes-devtools/quilt/quilt_0.48.bb
@@ -0,0 +1,7 @@
+require quilt.inc
+
+RDEPENDS_${PN} += "patch diffstat bzip2 util-linux"
+PR = "r0"
+SRC_URI += "file://aclocal.patch"
+
+inherit gettext
OpenPOWER on IntegriCloud